2017-11-19 10:22 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003042Kali Linux[All Projects] New Tool Requestspublic2017-09-28 11:56
Reporteri3visio 
Assigned Tosbrun 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.3 
Summary0003042: Add OSRFramework v6.0 - Tools for user profiling and online research
DescriptionOSRFramework, the Open Sources Research Framework is a GPLv3+ project by i3visio focused on providing OSINT extensible tools to perform more accurate online investigations linked to online profiling. These tools can be used in a bunch of different use cases: pentesting, social engineering, brand reputation or online profiling amongst others.

In the framework, which can be extended by means of new wrappers, we include the following tools:
- usufy.py. A username check tool to verify the existence of registered usernames in up to 235 different platforms. A sample search could be:
    usufy.py -n <NICKNAME> -p all
- alias_generator.py. A tool to create new aliases based on information provided by the researcher.
- searchfy.py. A tool to perform search queries on different platforms to find different profiles linked to it. A sample search could be:
    searchfy.py -q <FULLNAME> -p all
- mailfy.py. A tool to verify the existence of full mail accounts or any account linked to given aliases or usernames. A sample search could be:
    mailfy.py -m <MAIL>
- phonefy.py. A tool to verify if a given phone number has been linked in the past to spam practices.
    mailfy.py -n <PHONE_NUMBER>
    
At the moment, it can be downloaded directly from pip while developers can contribute to the Github Project <http://github.com/i3visio> by submitting issues or adding new wrappers.
Steps To Reproduce# Verifying the installation requirements
python --version
pip --version
# Installing from pip
sudo pip install osrframework

# To upgrade previous installations:
sudo pip install osrframework --upgrade
Additional InformationThe set of tools have been presented in Navaja Negra | Conecta Con #nnc5ed (Albacete, Spain) and 8.8 2015 (Santiago, Chile) security conferences as well as in a 2-hour workshop in Cybercamp 2015 (Madrid, Spain). To install them, you can also find a 3'33'' minutes video with the installation guidelines for Kali Linux as well as some basic examples: <https://www.youtube.com/watch?v=sZ-j3sbtWm4>

Supported platforms:
- usufy.py, 235 supported platforms: '500px', 'about', 'adtriboo', 'anarchy101', 'aporrealos', 'apsense', 'archive', 'arduino', 'ariva', 'armorgames', 'artician', 'arto', 'askfm', 'audiob', 'audioboo', 'authorstream', 'autospies', 'backyardchickens', 'badoo', 'behance', 'bennugd', 'bitbucket', 'bitcointa', 'bitcointalk', 'bitly', 'blackplanet', 'bladna', 'blip', 'blogspot', 'bookmarky', 'bookofmatches', 'boonex', 'bordom', 'boxedup', 'breakcom', 'bucketlistly', 'burbuja.info', 'burdastyle', 'buzznet', 'cafemom', 'carbonmade', 'cardomain', 'care2', 'castroller', 'causes', 'ccsinfo', 'chess', 'cockos', 'connectingsingles', 'couchsurfing', 'dailymail', 'dailymotion', 'deviantart', 'digitalspy', 'disqus', 'doodle', 'douban', 'dribbble', 'drugbuyersforum', 'drupal', 'ebay', 'echatta', 'elmundo', 'enfemenino', 'ethereum', 'etsy', 'evilzone', 'facebook', 'fanbitcoin', 'fanpop', 'fark', 'favstar', 'flickr', 'flixster', 'foodspotting', 'forobtc', 'forocoches', 'forosperu', 'foursquare', 'freeb
ase', 'freerepublic', 'gamesheep', 'gametracker', 'gapyear', 'garage4hackers', 'gather', 'geeksphone', 'genspot', 'getsatisfaction', 'github', 'gitorious', 'gogobot', 'goodreads', 'googleplus', 'gsmspain', 'hellboundhackers', 'hi5', 'hubpages', 'ibosocial', 'identica', 'imgur', 'instagram', 'instructables', 'intersect', 'intfiction', 'issuu', 'ivoox', 'ixgames', 'jamiiforums', 'kali', 'kanogames', 'karmacracy', 'kickstarter', 'kinja', 'klout', 'kongregate', 'kupika', 'lastfm', 'linkedin', 'livejournal', 'looki', 'marca', 'matchdoctor', 'mcneel', 'mediavida', 'medium', 'meneame', 'metacafe', 'migente', 'minecraft', 'musicasacra', 'myeloma', 'myspace', 'naver', 'netlog', 'netvibes', 'newgrounds', 'nubelo', 'occupywallst', 'odnoklassniki', 'openframeworks', 'oroom', 'pastebin', 'pearltrees', 'peerbackers', 'periscope', 'photobucket', 'pinterest', 'pixinsight', 'pixls', 'pjrc', 'plancast', 'pokerred', 'pokerstrategy', 'pornhub', 'proboards', 'qq', 'quartermoonsaloon', 'rankia', 'rapid', '
ratemypoo', 'rebelmouse', 'redtube', 'relatious', 'researchgate', 'retailmenot', 'rojadirecta', 'ruby', 'scribd', 'sencha', 'sidereel', 'skype', 'slashdot', 'slideshare', 'smartcitizen', 'sokule', 'soundcloud', 'sourceforge', 'spaniards', 'spoj', 'spotify', 'squidoo', 'steamcommunity', 'steinberg', 'streakgaming', 'stuff', 'stumbleupon', 'teamtreehouse', 'techcrunch', 'thecarcommunity', 'thehoodup', 'thepiratebay', 'thesims', 'thestudentroom', 'tradimo', 'travian', 'tripadvisor', 'tripit', 'trulia', 'tumblr', 'tuporno', 'twicsy', 'twitpic', 'twitter', 'twoplustwo', 'ummahforum', 'unsystem', 'ustream', 'vexforum', 'videohelp', 'vimeo', 'virustotal', 'vk', 'webtv', 'wikipedia', 'winamp', 'wishlistr', 'wordpress', 'worldcarfans', 'wykop', 'xanga', 'xat', 'xing', 'xtube', 'youku', 'youtube', 'zabbix', 'zentyal'.
- searchfy.py, 6 supported searches: 'facebook', 'github', 'pgpmit', 'skype', 'twitter', 'youtube'.
- mailfy.py, 9 supported providers: '126.com', '163.com', '189.cn', 'gmail.com', 'hushmail.com', 'keemail.me', 'protonmail.com', 'yandex.com', 'yeah.net'.
- phonefy.py, 3 supported providers: 'infotelefonica', 'kimatel', 'listaspam'.
Attached Files

-Relationships
has duplicate 0001654closedrhertzog Inclusion of new OSINT tool: usufy.py (GPLv3 username checker) 
+Relationships

-Notes

~0006020

i3visio (reporter)

OSRFramework 0.14.0 has been recently released. It can be installed using pip and upgraded as stared previously. It includes osrfconsole.py which is a tool that emulates msfconsole commands to be used with osrframework apps.

A tutorial of its installation and basic usage can be found in Youtube: <https://www.youtube.com/watch?v=Qg8osb9NeTE>. As usual, any comments are welcome.

~0006922

g0tmi1k (administrator)

ACK

Name: OSRFramework
Version: v6.0 ~ https://github.com/i3visio/osrframework/blob/master/osrframework/usufy.py
Homepage: https://github.com/i3visio/osrframework
Download: https://github.com/i3visio/osrframework/archive/master.zip (There isn't a tag'd release)
License: GNU Affero General Public License v3.0 ~ https://github.com/i3visio/osrframework/blob/master/COPYING
Description: They include references to a bunch of different applications related to username checking, DNS lookups, information leaks research, deep web search, regular expressions extraction and many others. At the same time, by means of ad-hoc Maltego transforms, OSRFramework provides a way of making these queries graphically as well as several interfaces to interact with like OSRFConsole or a Web interface.


Please could this be added into Kali.

~0007418

sbrun (manager)

osrframework version 0.17.2-0kali1 is now in kali-rolling
+Notes

-Issue History
Date Modified Username Field Change
2016-02-06 14:39 i3visio New Issue
2016-10-03 15:52 i3visio Note Added: 0006020
2017-06-22 14:16 g0tmi1k Assigned To => sbrun
2017-06-22 14:16 g0tmi1k Status new => assigned
2017-06-22 14:18 g0tmi1k Relationship added has duplicate 0001654
2017-07-08 18:14 rhertzog Status assigned => feedback
2017-07-18 14:21 g0tmi1k Note Added: 0006922
2017-07-18 14:22 g0tmi1k Summary Add OSRFramework to Kali, as a set of tools for user profiling and online research => Add OSRFramework v6.0 - Tools for user profiling and online research
2017-07-18 14:22 g0tmi1k Status feedback => new
2017-07-18 14:25 g0tmi1k Status new => assigned
2017-09-28 11:56 sbrun Status assigned => resolved
2017-09-28 11:56 sbrun Resolution open => fixed
2017-09-28 11:56 sbrun Fixed in Version => 2017.3
2017-09-28 11:56 sbrun Note Added: 0007418
+Issue History